org.eclipse.oomph.resources

## Class ProjectHandler.Collector

- java.lang.Object
- - org.eclipse.oomph.resources.ProjectHandler.Collector

- All Implemented Interfaces:
    ProjectHandler
  Enclosing interface:
    ProjectHandler

      public static class ProjectHandler.Collector
      extends Object
      implements ProjectHandler

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.oomph.resources.ProjectHandler

      `ProjectHandler.Collector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectHandler.Collector()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<IProject,BackendContainer>` | `getProjectMap()`
    `void` | `handleProject(IProject project, BackendContainer backendContainer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectHandler.Collector

          public ProjectHandler.Collector()

  - ### Method Detail

    - #### handleProject

          public void handleProject(IProject project,
                           BackendContainer backendContainer)

      Specified by:
        `handleProject` in interface `ProjectHandler`

    - #### getProjectMap

          public Map<IProject,BackendContainer> getProjectMap()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html